/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/JSP_Servlet/Servlet.java to edit this template
 */
package Servlet;

import beans.Pompier;
import form.AuthentifForm;
import java.io.IOException;
import java.io.PrintWriter;
import jakarta.servlet.ServletException;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import jakarta.servlet.http.HttpSession;

/**
 *
 * @author noobm
 */
public class AuthentificationServlet extends HttpServlet {

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code>
     * methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        try (PrintWriter out = response.getWriter()) {
            /* TODO output your page here. You may use following sample code. */
            out.println("<!DOCTYPE html>");
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Servlet authentificationServlet</title>");
            out.println("</head>");
            out.println("<body>");
            out.println("<h1>Servlet authentificationServlet at " + request.getContextPath() + "</h1>");
            out.println("</body>");
            out.println("</html>");
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
 @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
        HttpSession Session = request.getSession();
        Session.removeAttribute("lePompierConnecte");
        Session.removeAttribute("lesPompiers");
        Session.removeAttribute("lePompier");
    request.getRequestDispatcher("/WEB-INF/views/AuthentificationJSP.jsp").forward(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        Pompier lePompier = null;
        AuthentifForm authentif = new AuthentifForm(request);
        if (authentif.ctrlAuthentif() && authentif.ctrlBDD()) { 
            HttpSession maSession = request.getSession();
            lePompier = (Pompier) maSession.getAttribute("lePompierConnecte");

            if (lePompier != null) {
                if (lePompier.getStatut() == 1) {
                    getServletContext().getRequestDispatcher("/WEB-INF/views/AccueilPompierJSP.jsp").forward(request, response);
                } else if (lePompier.getStatut() == 2) {
                    
                    getServletContext().getRequestDispatcher("/WEB-INF/views/AccueilResponsableJSP.jsp").forward(request, response);
                    
                } else {
                    request.setAttribute("message", "Statut non reconnu.");
                    getServletContext().getRequestDispatcher("/WEB-INF/views/AuthentificationJSP.jsp").forward(request, response);
                }
            } else {
                request.setAttribute("message", "Erreur interne : utilisateur non trouvé.");
                getServletContext().getRequestDispatcher("/WEB-INF/views/AuthentificationJSP.jsp").forward(request, response);
            }
        } else {
            getServletContext().getRequestDispatcher("/WEB-INF/views/AuthentificationJSP.jsp").forward(request, response);
        }
    }


    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
