/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/JSP_Servlet/Servlet.java to edit this template
 */
package Servlet;

import beans.Pompier;
import form.EditionForm;
import java.io.IOException;
import java.io.PrintWriter;
import jakarta.servlet.ServletException;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import jakarta.servlet.http.HttpSession;

/**
 *
 * @author noobm
 */
public class EditionProfilServlet extends HttpServlet {

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code>
     * methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        try (PrintWriter out = response.getWriter()) {
            /* TODO output your page here. You may use following sample code. */
            out.println("<!DOCTYPE html>");
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Servlet EditionPompierServlet</title>");
            out.println("</head>");
            out.println("<body>");
            out.println("<h1>Servlet EditionPompierServlet at " + request.getContextPath() + "</h1>");
            out.println("</body>");
            out.println("</html>");
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
     protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        Pompier lePompier = null;
        HttpSession maSession = request.getSession();
        lePompier = (Pompier) maSession.getAttribute("lePompierConnecte");

        if (lePompier != null) {
            request.setAttribute("pompier", lePompier); 
            request.getRequestDispatcher("/WEB-INF/views/EditionPompierJSP.jsp").forward(request, response);
        } else {
            response.sendRedirect("/WEB-INF/views/AuthentificationJSP.jsp");
        }
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
          EditionForm edition = new EditionForm(request);
          Pompier lePompier = null;
          HttpSession maSession = request.getSession();
            lePompier = (Pompier) maSession.getAttribute("lePompierConnecte");
        if (edition.ctrlEdition() && lePompier != null){
      
            lePompier.setNom(request.getParameter("nom"));
            lePompier.setPrenom(request.getParameter("prenom"));
            lePompier.setLogin(request.getParameter("login"));
            lePompier.setMail(request.getParameter("mail"));
            lePompier.setAdresse(request.getParameter("adresse"));
            lePompier.setCp(request.getParameter("cp"));
            lePompier.setVille(request.getParameter("ville"));
            lePompier.setBip(request.getParameter("bip"));
            lePompier.setGrade(Integer.parseInt(request.getParameter("grade")));
            lePompier.setCommentaire(request.getParameter("commentaire"));

            
            request.getSession().setAttribute("lePompierConnecte", lePompier);
            response.sendRedirect("/WEB-INF/views/ProfilJSP.jsp");}
        
         else {
            response.sendRedirect("/WEB-INF/views/AuthentificationJSP.jsp"); // Rediriger si pas de pompier connecté
        }
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
