/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package bdd;
import beans.Statut;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;

public class StatutMySQL {
    private final Connection laConnection  = Connexion.getConnect("172.20.10.5",  
                                                                "sdis29", 
                                                                "adminBDsdis", 
                                                                "mdpBDsdis");    
    public Statut read(int id) {
        Statut leStatut = null;
        try {
            PreparedStatement prepStmt = null;
            String sql = "SELECT * FROM statut WHERE idStatut=?";
            prepStmt = laConnection.prepareStatement(sql);
            prepStmt.setInt(1, id);
            ResultSet result = prepStmt.executeQuery();
            if (result.next()) {
                leStatut = new Statut(result.getInt(1), result.getString(2));
            }
            prepStmt.close();
        } catch (SQLException ex) {
                System.out.println("SQLExeption : " + ex.getMessage());
                System.out.println("SQLState : " + ex.getSQLState());
                System.out.println("Code erreur : " + ex.getErrorCode());
        }        
        return leStatut;
    }
        // Lecture de tous les grades dans la base de données
    public ArrayList<Statut> readStatuts() {
        ArrayList<Statut> lesStatuts = new ArrayList<>(); 
        try {
            PreparedStatement prepStmt = null;
            String sql = "SELECT * FROM statut";
            prepStmt = laConnection.prepareStatement(sql);
            ResultSet result = prepStmt.executeQuery();
            
           
            while (result.next()) {
                Statut leStatut = new Statut(result.getInt(1), result.getString(2));
                lesStatuts.add(leStatut);
            }
            prepStmt.close();
        } catch (SQLException ex) {
            System.out.println("SQLExeption : " + ex.getMessage());
            System.out.println("SQLState : " + ex.getSQLState());
            System.out.println("Code erreur : " + ex.getErrorCode());
        }
        return lesStatuts;
    }
}
