<jsp:include page="../shared/EnteteJSP.jsp" />
<body class="p-3 mb-2 bg-light.bg-gradient text-dark" style="background: linear-gradient(135deg, #ffffff, #b0b0b0); min-height: 100vh; display: flex; justify-content: center; align-items: center; margin: 0;">
    <div class="card p-4" style="max-width: 400px; width: 100%; border-radius: 10px;">
        <h2 class="text-center mb-4">Connexion</h2>
        <form action="authentification" method="post">
            <div class="mb-3">
                <label for="username" class="form-label">Nom d'utilisateur</label>
                <input type="text" class="form-control" id="username" name="username" placeholder="Entrez votre nom d'utilisateur" required>
            </div>
            <div class="mb-3">
                <label for="password" class="form-label">Mot de passe</label>
                <input type="password" class="form-control" id="password" name="password" placeholder="Entrez votre mot de passe" required>
            </div>
            <c:if test="${not empty message}">
                <div class="message">
                    ${message}
                </div>
            </c:if>
            <button class="btn btn-outline-secondary w-100" type="submit">Se connecter</button>
        </form>
    </div>


<jsp:include page="../shared/FooterJSP.jsp" />
</html>