/*
 * bddd/CaserneMySQL.java
 */
package bdd;

import beans.Caserne;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class CaserneMySQL {
    private final Connection laConnection  = Connexion.getConnect("172.20.10.5",  
                                                                "sdis29", 
                                                                "adminBDsdis", 
                                                                "mdpBDsdis");    
    public Caserne read(int id) {
        Caserne laCaserne = null;
        try {
            PreparedStatement prepStmt = null;
            String sql = "SELECT * FROM caserne WHERE id=?";
            prepStmt = laConnection.prepareStatement(sql);
            prepStmt.setInt(1, id);
            ResultSet result = prepStmt.executeQuery();
            if (result.next()) {
                laCaserne = new Caserne(result.getInt(1), result.getString(2),result.getString(3),
                            result.getString(4), result.getString(5),result.getString(6));
            }
            prepStmt.close();
        } catch (SQLException ex) {
                System.out.println("SQLExeption : " + ex.getMessage());
                System.out.println("SQLState : " + ex.getSQLState());
                System.out.println("Code erreur : " + ex.getErrorCode());
        }        
        return laCaserne;
    }
}
