package bdd;

import beans.Tranche;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;

/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */

/**
 *
 * @author noobm
 */
public class TrancheMySQL {
     private final Connection laConnection  = Connexion.getConnect("172.20.10.5",  
                                                                "sdis29", 
                                                                "adminBDsdis", 
                                                                "mdpBDsdis");    
    public Tranche read(int id) {
        Tranche laTranche = null;
        try {
            PreparedStatement prepStmt = null;
            String sql = "SELECT * FROM tranche WHERE idTranche=?";
            prepStmt = laConnection.prepareStatement(sql);
            prepStmt.setInt(1, id);
            ResultSet result = prepStmt.executeQuery();
            if (result.next()) {
                laTranche = new Tranche(result.getInt(1), result.getString(2));
            }
            prepStmt.close();
        } catch (SQLException ex) {
                System.out.println("SQLExeption : " + ex.getMessage());
                System.out.println("SQLState : " + ex.getSQLState());
                System.out.println("Code erreur : " + ex.getErrorCode());
        }        
        return laTranche;
    }
        // Lecture de tous les grades dans la base de données
    public ArrayList<Tranche> readTranches() {
        ArrayList<Tranche> lesTranches = new ArrayList<>(); 
        try {
            PreparedStatement prepStmt = null;
            String sql = "SELECT * FROM tranche";
            prepStmt = laConnection.prepareStatement(sql);
            ResultSet result = prepStmt.executeQuery();
            
           
            while (result.next()) {
                Tranche laTranche = new Tranche(result.getInt(1), result.getString(2));
                lesTranches.add(laTranche);
            }
            prepStmt.close();
        } catch (SQLException ex) {
            System.out.println("SQLExeption : " + ex.getMessage());
            System.out.println("SQLState : " + ex.getSQLState());
            System.out.println("Code erreur : " + ex.getErrorCode());
        }
        return lesTranches;
    }
}
